version: '3.1'
services:
  base:
    image: "${IMAGE_QUALIFIED_NAME}"
    command: --test
    volumes:
      - "test:/test:rw"
    restart: "no"
    tty: true
    logging:
      driver: json-file

  tester:
    image: "registry.gitlab.com/clarin-eric/docker-tester:1.4.0"
    command: http multi -v -k -T 1440
    volumes:
      - "../test/checker.conf:/etc/checker.conf"
      - "test:/test"
    restart: "no"
    tty: true
    logging:
      driver: json-file

volumes:
  test:
    external: false
